/*
 * Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id$
 */

package com.sun.ts.tests.jsonb.api.model;

import javax.json.bind.annotation.JsonbPropertyOrder;

@JsonbPropertyOrder({"thirdInstance", "fourthInstance"})
public class SimplePartiallyAnnotatedPropertyOrderContainer {
    private String firstInstance = "First String";
    private String secondInstance = "Second String";
    private String thirdInstance = "Third String";
    private String fourthInstance = "Fourth String";
    private String anyOtherInstance = "Fifth String property starting with A";

    public String getThirdInstance() {
		return thirdInstance;
	}

	public void setThirdInstance(String thirdInstance) {
		this.thirdInstance = thirdInstance;
	}

	public String getFourthInstance() {
		return fourthInstance;
	}

	public void setFourthInstance(String fourthInstance) {
		this.fourthInstance = fourthInstance;
	}

	public String getAnyOtherInstance() {
		return anyOtherInstance;
	}

	public void setAnyOtherInstance(String anyOtherInstance) {
		this.anyOtherInstance = anyOtherInstance;
	}

	public String getFirstInstance() {
        return firstInstance;
    }

    public void setFirstInstance(String firstInstance) {
        this.firstInstance = firstInstance;
    }

    public String getSecondInstance() {
        return secondInstance;
    }

    public void setSecondInstance(String secondInstance) {
        this.secondInstance = secondInstance;
    }
}
